# config file for RideLogic web api
#
# Copyright (c) 2019 Clementine Computing LLC.
# 
# This file is part of PopuFare.
# 
# PopuFare is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# PopuFare is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with PopuFare.  If not, see <https://www.gnu.org/licenses/>.
#


# api password
RIDELOGIC_API_PASS=####

# default credential information
RIDELOGIC_DEFAULT_MAG_TRACK=2
RIDELOGIC_DEFAULT_RF_LENGTH=26
RIDELOGIC_DEFAULT_RF_SITE=137

# default group membership and hash algorithm
RIDELOGIC_DEFAULT_GROUP_NAME=####
RIDELOGIC_DEFAULT_HASH_ALGORITHM=sha1

# default session token length
RIDELOGIC_TOKEN_LENGTH=32

# maximum number of characters to a field allowed
RIDELOGIC_MAX_FIELD_LENGTH=256

# 120 seconds to fulfill api request
RIDELOGIC_STALE_SEC_SESSION=120

# Allow a day window after registration
# for account activation (86400=24*60*60)
RIDELOGIC_STALE_SEC_REGISTRATION=86400

# Allow a two day window to reset password
# after a password reset attempt (172800=48*60*60)
RIDELOGIC_STALE_SEC_PASSWORD_RESET=172800

# DB information
RIDELOGIC_DB=####
RIDELOGIC_DB_SERVER=####
RIDELOGIC_DB_USERNAME=####
RIDELOGIC_DB_PASSWORD=####

